# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "pedant-types"
version = "0.11.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Shared types for pedant capability analysis"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/jostled-org/pedant"

[lib]
name = "pedant_types"
path = "src/lib.rs"

[[test]]
name = "serialization"
path = "tests/serialization.rs"

[dependencies.rustc-hash]
version = "2"

[dependencies.serde]
version = "1"
features = [
    "derive",
    "rc",
]

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "2"
